the "listen ... http2" directive is deprecated, use the "http2" directive instead in

Post Reply
Zakopet
Posts: 13
Joined: Tue Sep 28, 2021 2:54 pm

Today I have installed PHP 8.3 using this instruction viewtopic.php?f=18&t=52

And after that nginx can not restarted.

Command: sudo nginx -t
Returned for all websites on my server
nginx: [warn] the "listen ... http2" directive is deprecated, use the "http2" directive instead in /home/user1/conf/web/site1.ru.nginx.ssl.conf:2
nginx: [warn] the "listen ... http2" directive is deprecated, use the "http2" directive instead in /home/user2/conf/web/site2.ru.nginx.ssl.conf:2

I have found the solution https://community.centminmod.com/thread ... ion.23890/

I have replaced:
listen 443 ssl http2;
To:
listen 443 ssl;
http2 on;

And after that server fixed and it is working now.
Zakopet
Posts: 13
Joined: Tue Sep 28, 2021 2:54 pm

Zakopet
Posts: 13
Joined: Tue Sep 28, 2021 2:54 pm

I think I should fix all templates inside "/usr/local/vesta/data/templates/web/nginx" folder?
Because after lets encrypt cert renewal the error will appear again.
Zakopet
Posts: 13
Joined: Tue Sep 28, 2021 2:54 pm

The same problem with ssl inside node-app-3000.stpl
bad:
ssl on;
good:
listen %ip%:%proxy_ssl_port% ssl;
User avatar
myVesta
Site Admin
Posts: 936
Joined: Fri Jun 19, 2020 9:59 am
Has thanked: 8 times
Been thanked: 6 times

Post Reply